# std::atomic< char32_t > Struct Template Reference
[Atomics]

Explicit specialization for char32_t. More...

Inherits __atomic_int_base.

List of all members.

## Public Types

- typedef atomic_char32_t __base_type
- typedef char32_t __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &)

## Public Attributes

- int _M_i

## Detailed Description

### template<>
struct std::atomic< char32_t >

Explicit specialization for char32_t.

Definition at line 483 of file cstdatomic.

The documentation for this struct was generated from the following file:

- cstdatomic